# SpriteController.OptimizeForLargeSpriteImages Field
If your sprite images need substantial growing or shrinking when displayed, you can try setting this to "true" to see if it makes it run any faster. What it does is to resize the image once, and keep a cached copy of that image at that size.

SpriteLibrary

SpriteController OptimizeForLargeSpriteImages Field

If your sprite images need substantial growing or shrinking when displayed, you can try setting this to "true" to see if it makes it run any faster. What it does is to resize the image once, and keep a cached copy of that image at that size. If you use the same sprite, but with different sizes, setting this to "True" may actually slow down the game instead of speeding it up.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public bool OptimizeForLargeSpriteImages

#### Field Value

Type: Boolean
See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace